com.qualcomm.ftccommon

## Class FtcEventLoop.DefaultUsbModuleAttachmentHandler

- java.lang.Object
- - com.qualcomm.ftccommon.FtcEventLoop.DefaultUsbModuleAttachmentHandler

- All Implemented Interfaces:
    UsbModuleAttachmentHandler
  Enclosing class:
    FtcEventLoop

      public class FtcEventLoop.DefaultUsbModuleAttachmentHandler
      extends java.lang.Object
      implements UsbModuleAttachmentHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultUsbModuleAttachmentHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleUsbModuleAttach(RobotUsbModule module)` One of the hardware modules in the current robot configuration (such as a Modern Robotics DC Motor Controller, a Modern Robotics Legacy Module, etc) is now newly attached to the system (or so we think).
    `void` | `handleUsbModuleDetach(RobotUsbModule module)` One of the hardware modules in the current robot configuration (such as a Modern Robotics DC Motor Controller, a Modern Robotics Legacy Module, etc) has been disconnected from the system.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultUsbModuleAttachmentHandler

          public DefaultUsbModuleAttachmentHandler()

  - ### Method Detail

    - #### handleUsbModuleAttach

          public void handleUsbModuleAttach(RobotUsbModule module)
                                     throws RobotCoreException,
                                            java.lang.InterruptedException

      Description copied from interface: `UsbModuleAttachmentHandler`
      One of the hardware modules in the current robot configuration (such as a Modern Robotics DC Motor Controller, a Modern Robotics Legacy Module, etc) is now newly attached to the system (or so we think). The code in this method should deal with this event by, e.g., putting the module into a correctly operating state.
      Specified by:
        `handleUsbModuleAttach` in interface `UsbModuleAttachmentHandler`
      Parameters:
        `module` - the module which is newly attached
      Throws:
        `RobotCoreException`
        `java.lang.InterruptedException`

    - #### handleUsbModuleDetach

          public void handleUsbModuleDetach(RobotUsbModule module)
                                     throws RobotCoreException,
                                            java.lang.InterruptedException

      Description copied from interface: `UsbModuleAttachmentHandler`
      One of the hardware modules in the current robot configuration (such as a Modern Robotics DC Motor Controller, a Modern Robotics Legacy Module, etc) has been disconnected from the system. The code in this method should deal with this event by, e.g., putting the module in a state where it merely pretends to function.
      Specified by:
        `handleUsbModuleDetach` in interface `UsbModuleAttachmentHandler`
      Parameters:
        `module` - the module which has become disconnected
      Throws:
        `RobotCoreException`
        `java.lang.InterruptedException`